
QGIS Application - Bug report #17981

Hillshade in Master

2018-01-27 04:18 PM - Randal Hale

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:master Regression?: Yes

Operating System: Ubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25877

Description

Attempting to execute Hillshade under Raster -> Analysis  in Master and I get this: 

An error has occurred while executing Python code:

RuntimeError: wrapped C/C++ object of type hillshade has been deleted 

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/menus.py", line 161, in 

    action.triggered.connect(lambda: _executeAlgorithm(alg))

  File "/usr/share/qgis/python/plugins/processing/gui/menus.py", line 196, in _executeAlgorithm

    ok, message = alg.canExecute()

RuntimeError: wrapped C/C++ object of type hillshade has been deleted

History

#1 - 2018-01-27 04:31 PM - Randal Hale

Update - Menu opens in Processing Toolbox but not from the Menu -> Raster -> analysis

#2 - 2018-01-29 02:09 AM - Nyall Dawson

- Regression? changed from No to Yes

#3 - 2018-01-29 02:17 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce - do you still see this on recent master?

#4 - 2018-01-29 02:27 AM - Randal Hale

I just updated to bcbc46b and it's working normally!

#5 - 2018-01-30 05:10 PM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

2025-04-27 1/1


